Generic Tokens
Get token details
Get a token by its identifier.
GET
/
api
/
generic
/
tokens
/
{id}
Get token details
curl --request GET \
--url https://{instance}.{env}.on-hellgate.cloud/api/generic/tokens/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.{env}.on-hellgate.cloud/api/generic/tokens/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.{env}.on-hellgate.cloud/api/generic/tokens/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "7b3e9d1f-5a8c-4e2b-9d6f-3c7a1e5b9d4f",
"created_at": "2026-03-10T14:00:00Z",
"expires_at": "2026-03-10T15:00:00Z",
"metadata": {
"my_key_one": "my_value_one",
"my_key_two": "my_value_two"
}
}{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}{
"code": 404,
"message": "The requested resource was not found.",
"classifier": "NOT_FOUND"
}Authorizations
bearerAuthAPIKey
JWT bearer token obtained via the OAuth2 client-credentials grant from the platform Authentication API. The token's scopes gate the endpoints it may call, and its audience names the Guardian instance. This is the standard way to authenticate to Guardian.
Path Parameters
The ID of the token to read.
Response
Success response
Example:
"7b3e9d1f-5a8c-4e2b-9d6f-3c7a1e5b9d4f"
Example:
"2026-03-10T14:00:00Z"
Example:
"2026-03-10T15:00:00Z"
Metadata consisting of key-value entries.
- Maximum 20 key-value pairs.
- Maximum 20 characters per key.
- Maximum 80 characters per value.
Example:
{
"my_key_one": "my_value_one",
"my_key_two": "my_value_two"
}
⌘I
Get token details
